AutoCAD 2009 Readme

Installation, Configuration and Hardware

This Readme contains important information about AutoCAD that may not be included in the printed documentation or in Help.

Topics in this section

  • Installation, Configuration and Hardware
  • Join the Customer Involvement Program

    You are invited to participate in helping guide the direction of Autodesk design software.

  • Graphics Card Driver Update
  • Draw and Edit
  • User Interface
  • Developer Information
  • Command and System Variable History
  • Trademarks
  • System Requirements
  • Product Removal
Please send us your comment about this page


Installation, Configuration and Hardware

Join the Customer Involvement Program
AutoCAD 2009 Readme >
Installation, Configuration and Hardware

Installation and Configuration

Installing from Dual CD/DVD ROM Drive Systems

Installation fails if you attempt to install AutoCAD 2009 installation discs in different drives of a dual CD/DVD ROM drive system. You must use the same disc drive in order to complete the installation process.

HTML Help Fails When Launched from a Network Drive

You cannot launch the Help System from a network drive. A "Page Cannot Be Displayed" warning is displayed. This limitation is a result of the Windows Security Update #896258 from Microsoft.

Licensing

To Install the Autodesk Network License Manager

  1. On the AutoCAD 2009 Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, ensure that the Network License Manager is selected. Click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region and click I Accept. Click Next.
    NoteIf you do not agree to the terms of the license and wish to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, click Configure.
  5. If you selected multiple products on the Select Products to Install page (Step 3), then click the Network License Manager tab.
  6. Do one of the following:
    • Accept the default installation path (C:\Program Files\Autodesk Network License Manager\).
    • Click [...] to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide.
    NoteDo not install the Network License Manager on a remote drive. When you install the Network License Manager files, you must provide a path to a local drive. You must also specify the drive letter; the universal naming convention (UNC) is not supported.
  7. On the Review - Configure - Install page, click Install.
  8. On the Installation Complete page displays, click Finish.

Running a Network License Manager on Microsoft Windows Vista

When starting the network version of AutoCAD 2009 on a Microsoft Windows Vista workstation, you may encounter licensing error -15 if the license manager is running on Windows Vista (FLEXlm server version 11.4.100). Do the following:

  • Install the latest Service Pack and updates for Microsoft Windows Vista.

If you continue to encounter errors, do the following:

  • On the Start menu (Windows Vista), click Control Panel [image] Network and Sharing Center [image] Manage Network Connections, right-click on Local Area Connection. Select Properties. Uncheck Internet Protocol 6 (TCP/IPv6). Click OK.

To Install the Network License Activation Utility

  1. On the AutoCAD 2009 Installation wizard, click Install Tools and Utilities.
  2. On the Select the Products to Install page, ensure that the Network License Activation Utility is selected. Click Next.
  3. Review the Autodesk software license agreement for your country or region. You must accept this agreement to proceed with the installation. Choose your country or region and click I Accept. Click Next.
    NoteIf you do not agree to the terms of the license and wish to terminate the installation, click Cancel.
  4. On the Review - Configure - Install page, click Configure.
  5. If you selected multiple products on the Select Products to Install page (Step 3), then click the Network License Activation Utility tab.
  6. Do one of the following:
    • Accept the default installation path (C:\Program Files\Autodesk Network License Manager\Network License Activation Utility\enu\).
    • Click [...] to specify a different path. If you enter a path that does not exist, a new folder is created using the name and location you provide.
  7. On the Review - Configure - Install page, click Install.
  8. On the Installation Complete page displays, click Finish.

FlexLM License is Created in Two Locations

The FLEXlm License Finder dialog box may not display upon each launch of AutoCAD 2009 for non-administrative users who are using Windows Vista 64-bit. This is becuase the license server path information is stored in the HLKM\STOFTWARE\Wow6432Node path, which is not accessible to non-administrative users.

To fix this problem, replicate the license server path information stored in the above path to go to the HKLM\software\FLEXlm License Manager path.

Hardware

Graphics Card Driver Update

For the best program performance, verify and update your graphics card driver. For more information, see Graphics Card Driver Update.

Remote Access Applications

It is not recommended that you use any type of remote access application in conjunction with AutoCAD 2009 when it is configured to use hardware acceleration. Most remote access applications cannot support hardware acceleration, whic can cause general display failure and instability. If you need to use remote access applications, disable hardware acceleration or use the /NOHARDWARE command line switch to start AutoCAD 2009 in Software mode.

Hardware Certification Database

To download and install the latest hardware certification XML file, visit the Hardware Certification website at http://www.autodesk.com/autocad-graphicscard.


Join the Customer Involvement Program

Installation, Configuration and Hardware
Graphics Card Driver Update
AutoCAD 2009 Readme >
Join the Customer Involvement Program

You are invited to participate in helping guide the direction of Autodesk design software.

If you participate in the Customer Involvement Program, specific information about how you use AutoCAD is forwarded to Autodesk. This information includes what features you use the most, problems that you encounter, and other information helpful to the future direction of the product.

Here is a list of the information that is automatically sent to Autodesk:

  • Name and version of the Autodesk product
  • AutoCAD commands used, and amount of time spent in AutoCAD
  • Error conditions encountered, fatal, and non-fatal
  • File formats imported or exported with AutoCAD
  • Operating system name and version
  • System configuration information such as processor, amount of memory, and graphics card
  • IP address, used to identify your country or region

What the Customer Involvement Program Cannot Do

The Customer Involvement Program is committed to protecting your privacy. It cannot do any of the following:

  • Collect any drawing or design data
  • Collect any identity information such as name, address, or phone number
  • Send you email or contact you in any other way

For additional information, click the links in the Customer Involvement Program dialog box.

Why You Should Consider Participating

The Customer Involvement Program involves you directly in telling Autodesk

  • The commands and features that Autodesk should focus on
  • The commands and features that are hardly ever used
  • The most common problem areas
  • The hardware typically used with AutoCAD
NoteYou can start or stop your participation in this program at any time. Access to the controls is available from the AutoCAD Help menu. In network installations, your system administrator can choose whether to make the CIP program available or not.

To turn the CIP on or off

  1. Click Help menu [image] Customer Involvement Program.
  2. In the Customer Involvement Program dialog box, click a level of participation, and then click OK.


Graphics Card Driver Update

Join the Customer Involvement Program
Draw and Edit
AutoCAD 2009 Readme >
Graphics Card Driver Update

You should verify and update your graphics card driver to optimize AutoCAD 2009. Use the following procedure to identify your current graphics card driver.

To identify your graphics card driver

  1. Start AutoCAD 2009.
  2. At the Command prompt, enter 3dconfig.
  3. In the Adaptive Degradation and Performance Tuning dialog box, click View Tune Log.
  4. Review the 3D Device section for information about your system's graphics card driver and driver version.

If you find that you do need to update your driver, visit http://www.autodesk.com/autocad-graphicscard to find a certified driver for your graphics card. If you do not find one, visit the graphics card manufacturer's website.

NoteIf the graphics card manufacturer does not have an updated driver, check the system manufacturer's website. Companies like IBM, Hewlett Packard, and Dell often supply their own system drivers.


Draw and Edit

Graphics Card Driver Update
User Interface
AutoCAD 2009 Readme >
Draw and Edit

Drawing Environment

Tool Palettes

Tool palettes created in the current release should not be used in previous releases.

Plot and Publish DWF Files

AutoCAD 2009 for 64-bit halts unexpectedly when publishing DWF drawings containing text, multiline text (mtext), and attributes that use the CityBluePrint font. To repair this problem, download and install the Windows security update availalbe at http://www.microsoft.com/technet/security/Bulletin?MS06-002.mspx.

Opening Sample Drawing Files in Windows Vista

Due to Windows Vista restrictions, all sample files found in the AutoCAD 2009 Sample folder and subfolders are read-only. Sheet Set Manager sample files can be opened in the Sheet Set Manager, but cannot be changed.

Autodesk i-drop

For i-drop to operate properly on a system running Windows Vista, the user should be set to Run as Administrator.

3D Environment

AutoCAD 2007 introduced a new 3D Modeling environment, which you can access by means of the VISUALSTYLES command and choosing any non-2D style. The 3D environment has some behavioral differences when compared to the legacy 2D drafting environment, such as:

  • Draw order is not supported in 3D
  • Memory usage in 3D is higher
  • The REGEN and REGENALL commands do not necessarily clean up display artifacts. To reset the display, cycle VISUALSTYLES between 2D and non-2D styles.

Direct 3D with Microsoft Windows Vista

When Direct 3D is enabled in a Windows Vista environment, the cursor appears as black and white instead of color in non-2D visual styles. Any changes to the cursor from the Options dialog box are not enabled in this environment.

Animation and Rendering

Animation Output

The Quicktime Player cannot play MOV files saved with characters that are not native to the current operating system.

Windows Vista versions K and N (available in Korea and Europe) do not come with Windows Media Player installed. In order to use the animation feature in AutoCAD 2009, download the latest version of Media Player from the Microsoft website.

Advanced Render Settings

In the Advanced Render Settings Dialog box, the Memory Limit field is ignored in AutoCAD 2009 for 64-bit. AutoCAD 2009 will make use of all available memory in a 64-bit environment.

Other Drafting Issues

External References

Due to the external references (xref) polling cycle, you can encounter a time lag when attempting to use the Manage Xrefs icon to reload DWG xrefs. You cannot reload referenced DWG files with this method until you see the balloon notification on the Manage Xefs icon is displayed. To expedite the reloading process, use one of the following methods:

  • On the External References palette, right-click the reference drawing. Click Reload.
  • On the External References palette, click Reload All References.
  • At the Command prompt, enter -xref. Use the Reload option.

Text and Language

Multiple-Language Support

When you copy and paste characters that have been created using a language other than the system language, the characters may not be displayed correctly.

To correct the display to show the original language

  1. Double-click the text to open it in the In-Place Text Editor.
  2. Right-click inside the editor. Click Character Set and select the original language.


User Interface

Draw and Edit
Developer Information
AutoCAD 2009 Readme >
User Interface

Display AutoCAD as in Previous Releases

AutoCAD 2009 introduces a new look and many new user interfaces that change the way you access commands. To display AutoCAD 2009 as it was in previous releases, do one of the following:

  • Click the Menu Browser button [image] Click Tools [image] Workspaces [image] AutoCAD Classic.
  • On the status bar, click Workspace Switching [image] AutoCAD Classic.

Use Workspaces to Switch AutoCAD Interfaces

Workspaces are sets of menus, toolbars, palettes, and ribbon panels that are grouped and organized to create a task-oriented drawing environment. In addition to AutoCAD Classic, the following task-based workspaces are available in AutoCAD 2009:

2D Drafting & Annotation

Displays tools specific to 2D drafting. Displays the new interfaces, including the ribbon and menu browser.

3D Modeling

Displays tools specific to 3D modeling. Displays the new interfaces, including the ribbon, menu browser, and Tool Palettes window.

To switch between available workspaces, do one of the following:

  • Click the Menu Browser button [image] Click Tools [image] Click Workspaces and select the desired workspace.
  • On the status bar, click Workspace Switching and select the desired workspace.
  • On the Workspaces toolbar, in the Workspaces drop-down list, select the desired workspace.

Migrate CUI Files from a Previous Release to AutoCAD 2009

When loaded as the main CUI file, a CUI file created in a previous release of AutoCAD does not contain the necessary content to utilize new AutoCAD 2009 user interface elements. To add new user interface elements to an existing CUI file, do one of the following:

  • Use the Transfer tab in the Customize User Interface (CUI) Editor to transfer user interface elements from your CUI file from a previous release of AutoCAD to a new CUI file that comes with AutoCAD 2009. The new CUI file will allow you to use new user interface elements of AutoCAD 2009 while allowing you to use existing customization.
  • Use the Migrate Custom Settings dialog box to convert your CUI file from a previous release to a new version that will be compatible with AutoCAD 2009. To migrate CUI files and user profiles from the previous release, do the following:
    1. Click Start menu (Windows) [image] Programs [image] Autodesk [image] AutoCAD 2009 [image] Migrate Custom Settings [image] Migrate From a Previous Release.
    2. In the Migrate Custom Settings dialog box, in the Migrate Settings drop-down list, select the release that you are migrating from. Click OK.
NoteThe Quick Access toolbar for any migrated workspaces will be empty. To display commands on the Quick Access toolbar, use the Customize User Interface (CUI) Editor. You cannot migrate dashboard control panels to the ribbon. You must recreate your dashboard control panels as ribbon panels using the Customize User Interface (CUI) Editor.


Developer Information

User Interface
Command and System Variable History
AutoCAD 2009 Readme >
Developer Information

Changes That May Affect Scripts

Changes to the following commands or system variables may affect pre-existing scripts:

EXTEND

For the EXTEND command, if you do not select an object at the Select Objects to Extend prompt, you are now prompted to specify the opposite corner of a crossing window. This change may affect pre-existing scripts that call EXTEND and supply a pick point that selects no objects. You can fix legacy scripts by omitting points that do not select objects.

INSERT

If you use the Scale Uniformly option in the Block Definition dialog box, you are no longer prompted to enter separate scale factors for X,Y,Z coordinates when you insert a block using the -INSERT command.

MENULOAD

By default, the MENULOAD command loads only CUI files in AutoCAD 2006 or later releases. To load an MNU or MNS file in AutoCAD 2006 or later release, you must explicitly include the extension in the file name, as shown in the following example:

(command "menuload" "myMenu.mnu")

However, rather than changing your code, it is strongly recommended that you open your legacy menu files in AutoCAD 2009 before running applications that use them. AutoCAD 2009 automatically converts them to CUI files, and the CUI files are loaded by existing code that uses the file name without an extension

Legacy code that specifies an MNU, MNS, or MNC extension should be changed to reference a CUI file, and AutoCAD 2007-based applications should ship with CUI files, not MNU, MNS, or MNC files.

TRIM

For the TRIM command, if you do not select an object at the Select Objects to Trim prompt, you are now prompted to specify the opposite corner of a crossing window. This change may affect pre-existing scripts that call TRIM and supply a pick point that selects no objects. You can fix legacy scripts by omitting points that do not select objects.

ActiveX and VBA

VBA scripts that run at startup should check whether the AutoCAD 2009 process is visible or invisible. If the process is invisible, the script should not execute, because the process may be performing background plotting or publishing operations. To check whether the AutoCAD 2009 process is visible or invisible, you can use the Visible property of the Application object in the AutoCAD 2009 Object Model.

Quick Properties

To maximize performance when scripts or LISP rountines are run, the Quick Properities panel is disabled. Completion of the routine restores functionality.


Command and System Variable History

Developer Information
Trademarks
AutoCAD 2009 Readme >
Command and System Variable History

Where to Learn About AutoCAD 2009

Use the following resources to find more information about AutoCAD 2009:

  • New Features Workshop (Help menu)
  • Help system (Help menu)
  • Developer Help (Help menu > Additional Resources)
  • Autodesk User Group International (AUGI) (Help menu > Additional Resources)
  • Autodesk website at http://www.autodesk.com

New Commands

Command | Description
ACTRECORD | Starts the Action Recorder.
ACTSTOP | Stops the Action Recorder and provides the option of saving the recorded actions to an action macro file.
-ACTSTOP | Stops the Action Recorder and provides the option of saving the recorded actions to an action macro file.
ACTUSERINPUT | Inserts a request for user input into an action macro.
ACTUSERMESSAGE | Inserts a message that will be viewed during playback.
-ACTUSERMESSAGE | Inserts a user message into an action macro.
ALLPLAY | Plays all named views in current drawing.
BACKGROUND | Sets up the background for your view.
CLASSICLAYER | Manages layer and layer properties.
DASHBOARD | Opens the Dashboard window. Routed to the RIBBON command
-DGNEXPORT | Creates one or more DGN files from the current drawing.
-DGNIMPORT | Imports the data from a DGN file into a new DWG file.
DGNLAYERS | Controls the display of layers in a DGN underlay.
DGNMAPPING | Allows users to create and edit user-defined DGN mapping setups.
DWFFORMAT | Sets the default DWF format to the selected format to DWF or DWFx for the PUBLISH, 3DDWF, and EXPORT commands.
EDITSHOT | Opens the Edit View dialog box with the Shot Properties tab active.
EXPORTLAYOUT | Exports all visible objects from current layout to the model space of a new drawing.
HIDEPALETTES | Hides currently displayed palettes (including the command line).
IMPRESSION | Gives a CAD drawing a hand-drawn look by exporting it for rendering in Autodesk Impression.
LAYERCLOSE | Closes Layer Properties Manager.
NAVSMOTION | Displays the ShowMotion interface.
NAVSMOTIONCLOSE | Closes the ShowMotion interface.
NAVSWHEEL | Displays the SteeringWheel.
NAVVCUBE | Controls the visibility and display properties of the ViewCube.
NEWSHOT | Creates a named view with motion that is played back when viewed with ShowMotion.
QVDRAWING | Displays open drawings and layouts in a drawing in preview images.
QVDRAWINGCLOSE | Closes preview images of open drawings and layouts in a drawing.
QVLAYOUT | Displays preview images of model space and layouts in a drawing.
QVLAYOUTCLOSE | Closes preview images of model space and layouts in a drawing.
RIBBON | Opens the Ribbon window.
RIBBONCLOSE | Closes the Ribbon window.
SEQUENCEPLAY | Plays the named views in one view category.
SHOWPALETTES | Restores the display of hidden palettes.
VIEWGO | Restores a named view.
VIEWPLAY | Plays the animation associated with a named view.

Changed Commands

Changed Command | Description
DASHBOARDCLOSE | Closes the Dashboard window. Routed to the RIBBONCLOSE command.
DGNATTACH | Attaches a DGN underlay to the current drawing.
-DGNATTACH | Attaches a DGN underlay to the current drawing.
DGNEXPORT | Creates one or more DGN files from the current drawing.
DGNIMPORT | Imports the data from a DGN file into a new DWG file.
GEOPGRAPHICLOCATION | Specifies the geographic location information for a drawing file.
LAYER | Manages layers and layer properties.
NEWVIEW | Creates a named view without motion.
QUICKCUI | Displays the Customize User Interface dialog box in a collapsed state.
VPLAYER | Sets layer visibility within viewports.

New System Variables

System Variable | Description
ACTPATH | Specifies the additional paths to use when locating available action macros for playback.
ACTRECORDSTATE | Specifies the current state of the Action Recorder.
ACTRECPATH | Specifies the path used to store new action macros.
ACTUI | Controls the behavior of the Action Recorder panel when recording and playing back macros.
CAPTURETHUMBNAILS | Specifies if and when thumbnails are captured for the Rewind tool.
DGNIMPORTMAX | Limits the number of elements that are translated when importing a DGN file. This limit prevents the program from running out of memory and suspending when importing large DGN files.
DGNMAPPINGPATH | Stores the location of the dgnsetups.ini file where DGN mapping setups are stored.
GEOLATLONGFORMAT | Controls the format of the latitude and longitude values in the Geographic Location dialog box, and the coordinate status bar in Geographic mode.
GEOMARKERVISIBILITY | Controls the visibility of geographic markers.
HIDEXREFSCALES | Controls the display of Xref scales. 0- Xref scales are displayed 1- Xref scales are hidden.
LAYERDLGMODE | Sets the flavor of the Layer Properties Manager that will be defined for the use of the LAYER command. The LAYER command is mapped to execute either the CLASSICLAYER or LAYERPALETTE.
MENUBAR | Controls the display of the menu bar.
MTEXTTOOLBAR | Controls the display of the Text Formatting toolbar.
NAVSWHEELMODE | Specifies the current mode of the SteeringWheels.
NAVSWHEELOPACITYBIG | Controls the opacity of the big SteeringWheels.
NAVSWHEELOPACITYMINI | Controls the size of the mini SteeringWheels.
NAVSWHEELSIZEBIG | Specifies the size of the big SteeringWheels.
NAVSWHEELSIZEMINI | Specifies the size of the mini SteeringWheels.
NAVSWHEELWALKSPEED | Controls the speed of Walk from wheel.
NAVVCUBEDISPLAY | Controls the display of the ViewCube on the canvas when the 3D graphic system is active.
NAVVCUBELOCATION | Identifies the corner in a viewport where the ViewCube is displayed.
NAVVCUBEORIENT | Controls whether the ViewCube reflects the current UCS or WCS.
NAVVCUBESIZE | Controls the display size of the ViewCube.
NAVVCUBOPACITY | Controls the opacity of the ViewCube when inactive.
OPENPARTIAL | Controls whether whether a drawing can be worked on before it is fully open.
PREVIEWTYPE | Specifies the view to use for the drawing thumbnail.
PUBLISHHATCH | Controls whether hatch patterns published to DWF format (DWF File or DWFx File) are treated as a single object when opened in Autodesk Impression.
QPLOCATION | Sets the location mode of Quick Properties panel.
QPMODE | Sets the on or off state of Quick Properties panel.
QVDRAWINGPIN | Controls the default display state of preview images of drawings.
QVLAYOUTPIN | Controls the default display state of preview images of model space and layouts in a drawing.
RIBBONSTATE | Indicates whether the ribbon palette is open or closed.
ROLLOVERTIPS | Controls the display of object rollover tooltips in the application. The content in tooltips can be customized in the Customize User Interface (CUI) editor.
SHOWMOTIONPIN | Controls the default display state of the thumbnail shots.
SHOWPALETTE | This corresponds to the shortcut key (CTRL+SHIFT+H) to show or hide palettes.
STATUSBAR | Controls the display of the application and drawing status bars.
THUMBSIZE | Specifies the maximum generated size for thumbnail previews in pixels.

Changed System Variables

Changed System Variable | Description
CROSSINGAREACOLOR | Controls the color of the selection area during crossing selection. The valid range is 1 to 255. The SELECTIONAREA system variable must be on.
GRIPCOLOR | Controls the color of nonselected grips. The valid range is 1 to 255.
GRIPHOT | Controls the color of selected grips. The valid range is 1 to 255.
GRIPHOVER | Controls the fill color of an unselected grip when the cursor pauses over it. The valid range is 1 to 255.
OSMODE | Sets running object snaps.
TABLETOOLBAR | Controls the display of the Table toolbar.
WINDOWAREACOLOR | Controls the color of the transparent selection area during window selection. The valid range is 1 to 255. SELECTIONAREA must be on.


Trademarks

Command and System Variable History
System Requirements
AutoCAD 2009 Readme >
Trademarks

The following are registered trademarks or trademarks of Autodesk, Inc., in the USA and other countries: 3DEC (design/logo), 3December, 3December.com, 3ds Max, ActiveShapes, Actrix, ADI, Alias, Alias (swirl design/logo), AliasStudio, Alias|Wavefront (design/logo), ATC, AUGI, AutoCAD, AutoCAD Learning Assistance, AutoCAD LT, AutoCAD Simulator, AutoCAD SQL Extension, AutoCAD SQL Interface, Autodesk, Autodesk Envision, Autodesk Insight, Autodesk Intent, Autodesk Inventor, Autodesk Map, Autodesk MapGuide, Autodesk Streamline, AutoLISP, AutoSnap, AutoSketch, AutoTrack, Backdraft, Built with ObjectARX (logo), Burn, Buzzsaw, CAiCE, Can You Imagine, Character Studio, Cinestream, Civil 3D, Cleaner, Cleaner Central, ClearScale, Colour Warper, Combustion, Communication Specification, Constructware, Content Explorer, Create>what's>Next> (design/logo), Dancing Baby (image), DesignCenter, Design Doctor, Designer's Toolkit, DesignKids, DesignProf, DesignServer, DesignStudio, Design|Studio (design/logo), Design Web Format, Design Your World, Design Your World (design/logo), DWF, DWG, DWG (logo), DWG TrueConvert, DWG TrueView, DXF, EditDV, Education by Design, Exposure, Extending the Design Team, FBX, Filmbox, FMDesktop, Freewheel, GDX Driver, Gmax, Heads-up Design, Heidi, HOOPS, HumanIK, i-drop, iMOUT, Incinerator, IntroDV, Inventor, Inventor LT, Kaydara, Kaydara (design/logo), LocationLogic, Lustre, Maya, Mechanical Desktop, MotionBuilder, Mudbox, NavisWorks, ObjectARX, ObjectDBX, Open Reality, Opticore, Opticore Opus, PolarSnap, PortfolioWall, Powered with Autodesk Technology, Productstream, ProjectPoint, ProMaterials, Reactor, RealDWG, Real-time Roto, Recognize, Render Queue, Reveal, Revit, Showcase, ShowMotion, SketchBook, SteeringWheels, StudioTools, Topobase, Toxik, ViewCube, Visual, Visual Bridge, Visual Construction, Visual Drainage, Visual Hydro, Visual Landscape, Visual Roads, Visual Survey, Visual Syllabus, Visual Toolbox, Visual Tugboat, Visual LISP, Voice Reality, Volo, Wiretap, and WiretapCentral.

The following are registered trademarks or trademarks of Autodesk Canada Co. in the USA and/or Canada and other countries: Backburner, Discreet, Fire, Flame, Flint, Frost, Inferno, Multi-Master Editing, River, Smoke, Sparks, Stone, and Wire.


System Requirements

Trademarks
Product Removal
AutoCAD 2009 Readme >
System Requirements

Before you install AutoCAD 2009, make sure that your computer meets the minimum hardware and software requirements.

Whether the Windows operating system is the 32-bit or 64-bit version is automatically detected when installing AutoCAD 2009. The appropriate version of AutoCAD 2009 will be installed. The 32-bit version of AutoCAD 2009 cannot be installed on a 64-bit version of Windows.

See the following tables for hardware and software requirements.

Hardware and software requirements
Hardware/Software Requirement Notes

Operating system

32-bit

Microsoft® Windows® Vista® Enterprise

Microsoft Windows Vista Business

Microsoft Windows Vista Ultimate

Microsoft Windows Vista Home Premium

Microsoft Windows XP Professional Edition (SP2)

Microsoft Windows XP Home Edition (SP2)

64-bit

Microsoft Windows Vista Enterprise

Microsoft Windows Vista Business

Microsoft Windows Vista Ultimate

Microsoft Windows Vista Home Premium

Microsoft Windows XP Professional Edition (SP2)

It is recommended that non-English language versions of AutoCAD 2009 be installed on an operating system with a user interface language that matches the code page of the AutoCAD 2009 language. A code page provides support for character sets used in different languages.

Web browser

Microsoft Internet Explorer® 6.0 SP1 or later

You cannot install AutoCAD 2009 if Microsoft Internet Explorer 6.0 SP1 (or later) is not installed on the installation workstation. You can download Microsoft Internet Explorer from the Microsoft website: http://www.microsoft.com/downloads/

Processor

32-bit

Intel® Pentium® 4 processor or AMD® Athlon, 2.2 GHz or greater

or

Intel or AMD Dual Core processor, 1.6 GHz or greater

64-bit

AMD 64 or Intel EM64T
RAM

32-bit

1 GB (Microsoft Windows XP SP2)

2 GB (Microsoft Windows Vista)

64-bit

2 GB

Graphics card

1280 x 1024 32-bit color video display adapter (True Color) 128 MB or greater, OpenGL®, or Direct3D® capable workstation class graphics card.

For Microsoft Windows Vista, a Direct3D capable workstation class graphics card with 128 MB or greater is required 1024 x 768 VGA with True Color (minimum)

  • Requires a Windows-supported display adapter.
  • For graphic cards that support Hardware Acceleration, DirectX 9.0c or later must be installed.
  • Installing from the ACAD.msi file does not install DirectX 9.0c or later. You must manually install DirectX to configure Hardware Acceleration.
Hard Disk

750 MB for installation (Microsoft Windows XP, SP2)

2 GB available not including installation (Microsoft Windows Vista)

Pointing device

Mouse, trackball, or other device

DVD/CD-ROM

Any speed (for installation only)

32-bit

Download (ESD) and installation from DVD or CD-ROM

64-bit

Download or DVD

Optional hardware

Printer or plotter

Digitizer

Modem or access to an Internet connection

Network interface card

Additional recommendations for 3D use
Hardware/Software Requirement Notes
Operating system

32-bit

Microsoft Windows Vista Enterprise

Microsoft Windows Vista Business

Microsoft Windows Vista Ultimate

Microsoft Windows Vista Home Premium

Microsoft Windows XP Professional Edition (SP2)

Microsoft Windows XP Home Edition (SP2)

64-bit

Microsoft Windows Vista Enterprise

Microsoft Windows Vista Business

Microsoft Windows Vista Ultimate

Microsoft Windows Vista Home Premium

Microsoft Windows XP Professional Edition (SP2)

It is recommended that non-English language versions of AutoCAD 2009 be installed on an operating system with a user interface language that matches the code page of the AutoCAD 2009 language. A code page provides support for character sets used in different languages.

Whether the Microsoft Windows operating system is the 32-bit or the 64-bit version is automatically detected when installing AutoCAD 2009. The appropriate version of AutoCAD 2009 will be installed. The 32-bit version of AutoCAD 2009 cannot be installed on a 64-bit version of Microsoft Windows.

Processor

Intel Pentium 4 processor or AMD Athlon, 2.2 GHz or greater

or

AMD Dual Core processor, 1.6 GHz or greater

RAM

2 GB (or greater)

Graphics card

1280 x 1024 32-bit color video display adapter (True Color) 128 MB or greater, OpenGL, or Direct3D capable workstation class graphics card.

For Microsoft Windows Vista, a Direct3D capable workstation class graphics card with 128 MB or greater is required 1024 x 768 VGA with True Color (minimum)

  • Requires a Windows-supported display adapter.
  • For graphic cards that support Hardware Acceleration, DirectX 9.0c or later must be installed.
  • Installing from the ACAD.msi file does not install DirectX 9.0c or later. You must manually install DirectX to configure Hardware Acceleration.

For more information about tested and certified graphics cards, visit http://www.autodesk.com/autocad-graphicscard

Hard disk

2 GB (in addition to the 1GB or above required for installation)

NoteAdobe Flash Player is no longer installed by default. If a suitable version of Flash is not currently installed on your system, a message requests that you download it from Adobe’s website. If you do not have Internet access, you can also access the Flash installer on the AutoCAD 2009 product media.


Product Removal

System Requirements
Product Removal

To Uninstall AutoCAD 2009 [Windows XP]

  1. On the Start menu (Windows), click Settings [image] Control Panel [image] Add or Remove Programs.
  2. Select AutoCAD 2009. Click Change/Remove.
  3. On the Installation wizard Maintenance Mode page, click Uninstall.
  4. On the Uninstall AutoCAD 2009 page, click Next.
  5. Click Finish.

To Uninstall AutoCAD 2009 [Windows Vista]

  1. On the Start menu (Windows), click Settings [image] Control Panel [image] Uninstall a Program.
  2. Select AutoCAD 2009. Click Uninstall/Change.

    If the User Account Control dialog box displays, click Continue.

  3. On the Installation wizard Maintenance Mode page, click Uninstall.
  4. On the Uninstall AutoCAD 2009 page, click Next.
  5. Click Finish.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!